<?xml version="1.0" encoding="UTF-8" ?>
<!--                                                                                -->
<!--    Author: Ashish Bhattarai                                                    -->
<!--    ashish.bhattarai@hp.com                                                     -->
<!--                                                                                -->
<!--                                                                                -->
<!--    File: OpenVMS.xml                                                     -->
<!--                                                                                -->
<!--    Description:                                                                -->
<!--        This file defines the Web based OpenVMS Server Deployment tools.    -->
<!--                                                                                -->
<!--    (c)Copyright 2006 Hewlett-Packard Co.,  All Rights Reserved.            -->
<!--                                                                                -->
<tool-list>
    <!-- Tool 1 Deploy | OpenVMS Systems | Deploy OS -->
    <web-launch-tool name="Install OpenVMS from InfoServer" max-targets="8" revision="0.01">
        <category>OpenVMS Installation Tool</category>
        <description>Install OpenVMS on selected system(s).</description>
        <comment>One instance of this tool will be presented for each selected management processor.</comment>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="HP Single Partition Server, Management Processor" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out (iLO) for Integrity and HP9000" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out 2 (iLO 2) for Integrity" />
            </include-filter>
            <web-block accepts-targets="true">
            <main-url><![CDATA[/OpenVMSInfoBlade/jsp/OpenVMSInfoBladeInstall.jsp?job=%t&user=%u]]></main-url>
                <target-format>%n#%a%z%(,%n#%a%z%)</target-format>
            </web-block>
        <attribute name="target-frame">DeployOpenVMS</attribute>
        <attribute name="show-title">true</attribute>
        <attribute name="listType">systemLists</attribute>
        <attribute name="show-selection">true</attribute>
        <attribute name="menu-path">Deploy|OpenVMS</attribute>
        <attribute name="menu-sort-key">300</attribute>
        <attribute name="i18n-attr">TOOL,mxtools</attribute>
        <attribute name="product-name">Infoserver OpenVMS Install</attribute>
        <attribute name="product-version">4.0.0.240</attribute>
        <attribute name="help-url">http://h71000.www7.hp.com/openvms/cclass_support.html</attribute>
    </web-launch-tool>
    <web-launch-tool name="Upgrade OpenVMS from InfoServer" max-targets="8" revision="0.01">
        <category>OpenVMS Upgrade Tool</category>
        <description>Upgrade OpenVMS on existing OpenVMS system(s).</description>
        <comment>One instance of this tool will be presented for each selected management processor.</comment>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="HP Single Partition Server, Management Processor" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out (iLO) for Integrity and HP9000" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out 2 (iLO 2) for Integrity" />
            </include-filter>
                <web-block accepts-targets="true">
                <main-url><![CDATA[/OpenVMSInfoBlade/jsp/OpenVMSInfoBladeUpgrade.jsp?job=%t&user=%u]]></main-url>
                        <target-format>%n#%a%z%(,%n#%a%z%)</target-format>
            </web-block>
        <attribute name="target-frame">UpgradeOpenVMS</attribute>
        <attribute name="show-title">true</attribute>
        <attribute name="listType">systemLists</attribute>
        <attribute name="show-selection">true</attribute>
        <attribute name="menu-path">Deploy|OpenVMS</attribute>
        <attribute name="i18n-attr">TOOL,mxtools</attribute>
        <attribute name="product-name">Infoserver OpenVMS Upgrade</attribute>
        <attribute name="product-version">4.0.0.240</attribute>
        <attribute name="help-url">http://h71000.www7.hp.com/openvms/cclass_support.html</attribute>
    </web-launch-tool>
    <web-launch-tool name="Install OpenVMS from vMedia" max-targets="1" revision="0.01">
        <category>OpenVMS Installation Tool</category>
        <description>Install OpenVMS on selected system(s).</description>
        <comment>One instance of this tool will be presented for the selected management processor.</comment>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="HP Single Partition Server, Management Processor" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out (iLO) for Integrity and HP9000" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out 2 (iLO 2) for Integrity" />
            </include-filter>
            <web-block accepts-targets="true">
            <main-url><![CDATA[/OpenVMSInfoBlade/jsp/OpenVMSvMediaBladeInstall.jsp?job=%t&user=%u]]></main-url>
                <target-format>%n#%a%z%(,%n#%a%z%)</target-format>
            </web-block>
        <attribute name="target-frame">DeployOpenVMS</attribute>
        <attribute name="show-title">true</attribute>
        <attribute name="listType">systemLists</attribute>
        <attribute name="show-selection">true</attribute>
        <attribute name="menu-path">Deploy|OpenVMS</attribute>
        <attribute name="menu-sort-key">300</attribute>
        <attribute name="i18n-attr">TOOL,mxtools</attribute>
        <attribute name="product-name">vMedia OpenVMS Install</attribute>
        <attribute name="product-version">4.0.0.240</attribute>
        <attribute name="help-url">http://h71000.www7.hp.com/openvms/cclass_support.html</attribute>
    </web-launch-tool>
    <web-launch-tool name="Upgrade OpenVMS from vMedia" max-targets="1" revision="0.01">
        <category>OpenVMS Upgrade Tool</category>
        <description>Upgrade OpenVMS on existing OpenVMS system(s).</description>
        <comment>One instance of this tool will be presented for the selected management processor.</comment>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="HP Single Partition Server, Management Processor" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out (iLO) for Integrity and HP9000" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out 2 (iLO 2) for Integrity" />
            </include-filter>
                <web-block accepts-targets="true">
                <main-url><![CDATA[/OpenVMSInfoBlade/jsp/OpenVMSvMediaBladeUpgrade.jsp?job=%t&user=%u]]></main-url>
                        <target-format>%n#%a%z%(,%n#%a%z%)</target-format>
            </web-block>
        <attribute name="target-frame">UpgradeOpenVMS</attribute>
        <attribute name="show-title">true</attribute>
        <attribute name="listType">systemLists</attribute>
        <attribute name="show-selection">true</attribute>
        <attribute name="menu-path">Deploy|OpenVMS</attribute>
        <attribute name="i18n-attr">TOOL,mxtools</attribute>
        <attribute name="product-name">vMedia OpenVMS Upgrade</attribute>
        <attribute name="product-version">4.0.0.240</attribute>
        <attribute name="help-url">http://h71000.www7.hp.com/openvms/cclass_support.html</attribute>
    </web-launch-tool>
    <web-launch-tool name="Apply OpenVMS License(PAK)" max-targets="8" revision="0.01">
        <category>OpenVMS License Installation Tool</category>
        <description>Install OpenVMS License on existing system(s).</description>
        <comment>One instance of this tool will be presented for the selected management processor.</comment>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="HP Single Partition Server, Management Processor" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out (iLO) for Integrity and HP9000" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out 2 (iLO 2) for Integrity" />
            </include-filter>
            <web-block accepts-targets="true">
            <main-url><![CDATA[/OpenVMSInfoBlade/jsp/OpenVMSInstallLicense.jsp?job=%t&user=%u]]></main-url>
                <target-format>%n#%a%z%(,%n#%a%z%)</target-format>
            </web-block>
        <attribute name="target-frame">DeployOpenVMS</attribute>
        <attribute name="show-title">true</attribute>
        <attribute name="listType">systemLists</attribute>
        <attribute name="show-selection">true</attribute>
        <attribute name="menu-path">Deploy|OpenVMS</attribute>
        <attribute name="menu-sort-key">300</attribute>
        <attribute name="i18n-attr">TOOL,mxtools</attribute>
        <attribute name="product-name">OpenVMS License Install</attribute>
        <attribute name="product-version">4.0.0.240</attribute>
        <attribute name="help-url">http://h71000.www7.hp.com/openvms/cclass_support.html</attribute>
    </web-launch-tool>
    <web-launch-tool name="Configure OpenVMS TCP-IP" max-targets="8" revision="0.01">
        <category>OpenVMS TCP-IP Configuration Tool</category>
        <description>Configure OpenVMS TCP-IP Services on existing system(s).</description>
        <comment>One instance of this tool will be presented for the selected management processor.</comment>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="HP Single Partition Server, Management Processor" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out (iLO) for Integrity and HP9000" />
            </include-filter>
            <include-filter type="hardware">
                <node-filter name="DeviceType" operator="eq" value="MgmtProc" />
                <node-filter name="Model" operator="eq" value="Integrated Lights-Out 2 (iLO 2) for Integrity" />
            </include-filter>
            <web-block accepts-targets="true">
            <main-url><![CDATA[/OpenVMSInfoBlade/jsp/OpenVMSConfigureTcpip.jsp?job=%t&user=%u]]></main-url>
                <target-format>%n#%a%z%(,%n#%a%z%)</target-format>
            </web-block>
        <attribute name="target-frame">DeployOpenVMS</attribute>
        <attribute name="show-title">true</attribute>
        <attribute name="listType">systemLists</attribute>
        <attribute name="show-selection">true</attribute>
        <attribute name="menu-path">Deploy|OpenVMS</attribute>
        <attribute name="menu-sort-key">300</attribute>
        <attribute name="i18n-attr">TOOL,mxtools</attribute>
        <attribute name="product-name">OpenVMS Configure TCP-IP</attribute>
        <attribute name="product-version">4.0.0.240</attribute>
        <attribute name="help-url">http://h71000.www7.hp.com/openvms/cclass_support.html</attribute>
    </web-launch-tool>
</tool-list>
